Index: branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFClassificationScriptSource.cs
===================================================================
--- branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFClassificationScriptSource.cs	(revision 17783)
+++ branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFClassificationScriptSource.cs	(revision 18006)
@@ -38,6 +38,6 @@
     double rmsError, outOfBagRmsError, relClassificationError, outOfBagRelClassificationError;
     bestParameters = RandomForestUtil.GridSearch(problemData, numberOfFolds, shuffleFolds, randomForestParameterRanges, seed, maximumDegreeOfParallelism);
-    var model = RandomForestModel.CreateClassificationModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
-                                                            out rmsError, out outOfBagRmsError, out relClassificationError, out outOfBagRelClassificationError);
+    var model = RandomForestClassification.CreateRandomForestClassificationModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
+                                                                                 out rmsError, out relClassificationError, out outOfBagRmsError, out outOfBagRelClassificationError);
     return (RandomForestClassificationSolution)model.CreateClassificationSolution(problemData);
   }
@@ -46,6 +46,6 @@
     double rmsError, outOfBagRmsError, relClassificationError, outOfBagRelClassificationError;
     bestParameters = RandomForestUtil.GridSearch(problemData, randomForestParameterRanges, seed, maximumDegreeOfParallelism);
-    var model = RandomForestModel.CreateClassificationModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
-                                                            out rmsError, out outOfBagRmsError, out relClassificationError, out outOfBagRelClassificationError);
+    var model = RandomForestClassification.CreateRandomForestClassificationModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
+                                                                                 out rmsError, out relClassificationError, out outOfBagRmsError, out outOfBagRelClassificationError);
     return (RandomForestClassificationSolution)model.CreateClassificationSolution(problemData);
   }
Index: branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFRegressionScriptSource.cs
===================================================================
--- branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFRegressionScriptSource.cs	(revision 17783)
+++ branches/3087_Ceres_Integration/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/Script Sources/GridSearchRFRegressionScriptSource.cs	(revision 18006)
@@ -14,6 +14,4 @@
   /* Number of crossvalidation folds: */
   const int numberOfFolds = 3;
-  /* Specify whether the crossvalidation folds should be shuffled */
-  const bool shuffleFolds = true;
 
   /* The tunable Random Forest parameters:
@@ -37,6 +35,7 @@
   private static RandomForestRegressionSolution GridSearchWithCrossvalidation(IRegressionProblemData problemData, out RFParameter bestParameters, int seed = 3141519) {
     double rmsError, outOfBagRmsError, avgRelError, outOfBagAvgRelError;
-    bestParameters = RandomForestUtil.GridSearch(problemData, numberOfFolds, shuffleFolds, randomForestParameterRanges, seed, maximumDegreeOfParallelism);
-    var model = RandomForestModel.CreateRegressionModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed, out rmsError, out outOfBagRmsError, out avgRelError, out outOfBagAvgRelError);
+    bestParameters = RandomForestUtil.GridSearch(problemData, numberOfFolds, randomForestParameterRanges, seed, maximumDegreeOfParallelism);
+    var model = RandomForestRegression.CreateRandomForestRegressionModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed, 
+                                                                         out rmsError, out avgRelError, out outOfBagRmsError, out outOfBagAvgRelError);
     return (RandomForestRegressionSolution)model.CreateRegressionSolution(problemData);
   }
@@ -46,6 +45,6 @@
     var random = new MersenneTwister();
     bestParameters = RandomForestUtil.GridSearch(problemData, randomForestParameterRanges, seed, maximumDegreeOfParallelism);
-    var model = RandomForestModel.CreateRegressionModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
-                                                        out rmsError, out outOfBagRmsError, out avgRelError, out outOfBagAvgRelError);
+    var model = RandomForestRegression.CreateRandomForestRegressionModel(problemData, problemData.TrainingIndices, bestParameters.N, bestParameters.R, bestParameters.M, seed,
+                                                                         out rmsError, out avgRelError, out outOfBagRmsError, out outOfBagAvgRelError);
     return (RandomForestRegressionSolution)model.CreateRegressionSolution(problemData);
   }
